Subject: bug#33740: [PATCH] Customizable flymake mode-line indicator

From: Juri Linkov <[email-masked]>
Date: Sun, 22 Sep 2019 23:55:07 +0300

> But if we move the status from the minor mode lighter to mode-line-process,
> then it'd work...  And perhaps that's a more logical place, anyway?

A more logical place would be in the same place where errors
are displayed by compilation-mode, i.e. mode-line-process indeed.
>From compile.el:

              (setq mode-line-process
                    '((:propertize ":%s" face compilation-mode-line-run)
                      compilation-mode-line-errors))